<?php

namespace App\Listeners;

use App\Events\WhatsappInvitesSend;
use App\Services\Whatsapp\WhatsappInviteEmailService;

class WhatsappInviteListener
{
    public function __construct(private WhatsappInviteEmailService $service)
    {
    }

    public function handle(WhatsappInvitesSend $event): void
    {
        $this->service->send($event->payload);
    }
}
